MKALIAS(8)

NAME
mkalias - a YP map conversion program

SYNOPSIS
mkalias [-nv] [ -E | -e [-du]] input [output]

DESCRIPTION
mkalias is used to convert a mail.aliases map to a mail.byaddr map. This is an inverse map of user@host (or user!host) back to alias.

The options are as follows:

-d  Assume domain names are OK. Only useful together with -E or -e.

-E  Same as -e, but also check for any MX-record.

-e  Check host to verify that it exists.

-n  Capitalize name. e.g., mats.o.jansson becomes Mats.O.Jansson.

-u  Assume UUCP names are OK. Only useful together with -E or -e.

-v  Verbose mode.

input
    Use this map as input.

output
    Use this map as output. If the output map isn't given, don't create database. Can be useful together with -E or -e.

SEE ALSO
yp(8), ypserv(8)

AUTHORS
Mats O Jansson <moj@stacken.kth.se>

BUGS
mkalias on SunOS 4.1.x seems to have a -s. Since I don't know what it is supposed to do I haven't implemented it. But it is accepted by the program.